.\"	$NetBSD: lock.1,v 1.8 2002/09/26 01:11:33 wiz Exp $
.\"
.\" Copyright (c) 1987, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)lock.1	8.1 (Berkeley) 6/6/93
.\"
.Dd June 6, 1993
.Dt LOCK 1
.Os
.Sh NAME
.Nm lock
.Nd reserve a terminal
.Sh SYNOPSIS
.Nm
.Op Fl np
.Op Fl t Ar timeout
.Sh DESCRIPTION
.Nm
requests a password from the user, reads it again for verification
and then will normally not relinquish the terminal until the password is
repeated.
There are two other conditions under which it will terminate: it
will timeout after some interval of time and it may be killed by someone
with the appropriate permission.
.Pp
Options:
.Pp
.Bl -tag -width Fl
.It Fl n
No timeout is used.
The terminal will be locked indefinitely or until current challenge is met.
.It Fl p
A password is not requested, instead the user's current login password
is used.
If the user has an S/Key key, they may also use it
to unlock the terminal.
To do this the user should enter "s/key" at the unlock "Key:" prompt.
The user will then be issued an S/Key challenge to which they may respond
with a six-word S/Key one-time password.
.It Fl t Ar timeout
The time limit (default 15 minutes) is changed to
.Ar timeout
minutes.
.El
.Sh SEE ALSO
.Xr skey 1
.Sh HISTORY
The
.Nm
command appeared in
.Bx 3.0 .
